---
#------------------------------------------------------------
# This is the schema for product configuration version 1.0
#------------------------------------------------------------

#------------------------------------------------------------
# Type alias
#------------------------------------------------------------
type_alias:
  rss_feed_type:
    type: map
    map_schema:
      source:
      title:
      url-root:
      title-max-length:
        type: number
      description-max-length:
        type: number
      item-max-count:
        type: number
        required: no
  
  rss_feed_list_type:
    type: list
    list_type: rss_feed_type
  
  url_type:
    type: map
    map_schema:
      url:
  
  g2wlink_type:
    type: map
    map_schema:
      url:
      image:
  links_type:
    type: map
    map_schema:
      url:
      name:
  
  uplay_type:
    type: map
    map_schema:
      game-code:
      platform-code:
        required: no
  
  ui_type:
    type: map
    map_schema:
      background-image:
      background-image-login:
      background-image-registration:
      logo-image:
      splash-image:
  
  login_banner_type:
    type: map
    map_schema:
      image:
      url:
  
  exes_type:
    type: map
    map_schema:
      single-player:
        required: no
      single-player-additional-arguments:
        required: no
      multi-player:
        required: no
      multi-player-additional-arguments:
        required: no
      offline:
        required: no
      offline-additional-arguments:
        required: no
      settings:
        required: no
  
  #------------------------------------------------------------
  # Root type
  #------------------------------------------------------------
schema:
  type: map
  map_schema:
    name:
    savegame-sync:
      required: no
    buy-url:
    facebook:
      type: url_type
    uplay: 
      type: uplay_type
    ui:
      type: ui_type
    forum:
      type: url_type
    uhelp:
      type: url_type
    homepage:
      type: url_type
    links:
      type: links_type
      required: no
    g2wlink:
      type: g2wlink_type
    news:
      type: rss_feed_list_type
      required: no
    login-banner1:
      type: login_banner_type
      required: no
    login-banner2:
      type: login_banner_type
      required: no
    login-banner3:
      type: login_banner_type
      required: no
    exes:
      type: exes_type
      required: no
